<template>
  <view style="width: 100%;height:70rpx;" class="cell" @click="emitClick">
    <view>
        {{ text }}
    </view>
    <view style="transform: rotate(180deg);">
        <image src="../../static/arrowLeft.png" style="width: 30rpx;height: 30rpx;"></image>
    </view>
  </view>
</template>
  
  
<script lang="ts" setup>
interface PropsType {
  text: string
}

const props = defineProps<PropsType>()

const emit = defineEmits<{
  (e: 'jumpTo'): void
}>()

function emitClick(){
    emit('jumpTo')
}
</script>
  
<style lang="scss" scoped>
  .cell{
    display: flex;
    justify-content: space-between;
    border-bottom: 1rpx solid #c2c1c1; // dashed
    height: 70rpx;
    align-items: center;
    font-size: 30rpx;
    padding: 10rpx 20rpx;
    box-sizing: border-box;
  }
</style>